Subject: bug#61703: 29.0.60; Emacs crashes on C-x 8 RET

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Feb 2023 22:18:29 +0200

> From: Kai Ma <[email-masked]>
> Date: Thu, 23 Feb 2023 02:45:58 +0800
> Cc: [email-masked]
> 
> > Thanks.  Unfortunately, it doesn't crash for me, after doing these
> > steps.
> > 
> > Any other steps I could try to increase the probability of a crash?
> 
> I tried to make a self-contained tarball.

Thanks, but this still doesn't crash for me.

My build is unoptimized (-O0).  Do you see the crash if you rebuild
with -O0?

> I tested against some fonts with
> 
>     emacs -Q --eval "(set-face-attribute 'default nil :family FONT)" -l bug.el
> 
> Indeed the choice of the default font seems relevant. The observed results:
> 
> | Menlo (default monospace font) | crash    |
> | Courier New                    | crash    |
> | Courier Prime                  | no crash |
> | JetBrains Mono                 | no crash |
> | Cascadia Mono                  | crash    |
> | Fira Code                      | no crash |
> | Fira Mono                      | crash    |

I'm on MS-Windows, where Courier New is the default font, and it still
doesn't crash...